# image member

Image v2

## image add project

Associate project with image

    openstack image add project
        [--project-domain <project-domain>]
        <image>
        <project>

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

image

  Image to share (name or ID)

project

  Project to associate with image (ID)

## image remove project

Disassociate project with image

    openstack image remove project
        [--project-domain <project-domain>]
        <image>
        <project>

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

image

  Image to unshare (name or ID)

project

  Project to disassociate with image (name or ID)

## image member list

List projects associated with image

    openstack image member list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--project-domain <project-domain>]
        <image>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

image

  Image (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.